AltScore

Authentication

To authorize queries to the API, an initial query is made to the authentication endpoint using clientId and secret.

https://auth.altscore.ai

Example

curl --request POST \
     --url https://{base_url}/identity/resources/auth/v1/api-token \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "clientId": "string",
  "secret": "string"
}

Response

{
    "accessToken": "eyJhbGciOi...",
    "expiresAt": "Wed, 22 Apr 2026 19:43:41 GMT"
}

The accessToken should be used as the token in all subsequent calls with the header Authorization accompanied by the word Bearer.

Example of authenticated API call

curl --location 'https://bc.altscore.ai/v1/borrowers' \
--header 'Authorization: Bearer {token}'

On this page